Bug 109296 - Snap package: LO can't open or save remote files
Summary: Snap package: LO can't open or save remote files
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.3.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CMIS
  Show dependency treegraph
 
Reported: 2017-07-24 02:32 UTC by ppa
Modified: 2020-11-15 07:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ppa 2017-07-24 02:32:06 UTC
Description:
The snap package's confinement is too strict and does not allow opening or saving documents on SMB shares (or other types of remote storage). Accessing documents on SMB storage is a common use case and the snap package should support it.

Steps to Reproduce:
1. Mount a SMB share in Nautilus
2. Open a LO document located within the shared filesystem


Actual Results:  
Error message: "General input/output error while accessing /run/user/1000/gvfs/smb-share:server=*********".


Expected Results:
LO should open the document.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:54.0) Gecko/20100101 Firefox/54.0
Comment 1 Alex Thurgood 2017-07-24 08:24:00 UTC
I can confirm this. However, I don't know enough about snap packages to determine whether the package itself is to blame or the snapd framework and Ubuntu's application thereof.
Comment 2 ppa 2017-07-26 23:12:54 UTC
UPDATE:

Similarly the LO snap can't open documents in /tmp. This is a problem because it makes it impossible to open documents received as email attachments directly from Thunderbird.

The snap package's confinement must be either manually relaxed (I'm to sufficiently familiar with snap to be able to suggest how to do this) or the package should be built in Classic mode, where file access is not confined.
Comment 3 ArubIslander 2017-09-01 08:16:31 UTC
Additional permissions are gained in confinement mode by connecting to interfaces (plugs) that are exposed by other snaps (slots).
At the moment there are no interfaces that define access to remote mounts or the /tmp folder (if I am not mistaken about the last)

There does exist however an interface for granting access to mounts on /media and /run/media. This is the removable-media interface. The workaround I have done for other snaps that advertise the removable-media interface as a plug is to mount my remote filesystems under /media. This is how I have the keepassxc snap configured.

The current libreoffice snap does not advertise the removable-media interface plug, which I think it should do in any case, as you would also want to be able to open an document on removable media.

For access to the /tmp folder I suspect an interface request would need to be made here: https://bugs.launchpad.net/snappy/+bugs?field.tag=snapd-interface
Comment 4 QA Administrators 2018-10-23 02:48:34 UTC Comment hidden (obsolete)
Comment 5 Olivier Tilloy 2018-10-24 09:53:48 UTC
This issue is specific to the snap package, it's not an upstream libreoffice problem. It is being tracked at https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1729821, so this bug can be closed.
Comment 6 QA Administrators 2019-10-25 02:40:27 UTC
Dear ppa,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug